Create banking payin
POST /order/v1/banking/order-payins
POST
/order/v1/banking/order-payins
Generate a PIX payin QR Code for a company account.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Header Parameters
Section titled “Header Parameters ” idempotency-key
required
string
Unique key for idempotent requests
Request Body required
Section titled “Request Body required ”object
externalId
required
External identifier of the payin
string
accountId
required
Receiver account identifier
string format: uuid
paymentMethod
required
Payment method
string
pixKey
PIX key used to generate the QR Code
string
payer
required
Payer information
object
name
required
Payer full name
string
document
required
Payer document
object
type
required
Document type
string
number
required
Document number
string
amount
required
Payin amount
object
currency
required
Currency code
string
value
required
Amount value as numeric string
string
description
Description of the payin
string
expiration
Expiration time in seconds for the QR Code
number
Responses
Section titled “ Responses ”object
id
required
Payin identifier
string
externalId
required
External identifier
string
status
required
Current status
string
errorMessage
Error message when order cannot proceed
string
qrcodeImageBase64
required
QR Code image (base64)
string
qrcodeData
required
QR Code payload data
string
expireDateTime
required
Expiration datetime (ISO)
string
amount
required
Amount information
object
currency
required
Currency code
string
value
required
Amount value as numeric string
string
description
required
Payin description
string
conciliationId
required
Conciliation identifier
string
Bad request
Forbidden
Internal error